{"openapi":"3.1.0","info":{"title":"OLS Service","description":"REST API for OLS. Please see <a href='https://www.ebi.ac.uk/ols4/defined-response-fields' target='_blank'> this page</a> for defined response field in OLS.","termsOfService":"https://www.ebi.ac.uk/about/terms-of-use/","license":{"name":"CC0 1.0 Universal (CC0 1.0) Public Domain Dedication","url":"https://creativecommons.org/publicdomain/zero/1.0/"},"version":"3.0"},"servers":[{"url":"/ols4"}],"tags":[{"name":"V2 Text Tagger Controller","description":"Annotate free text with ontology terms using dictionary based matching over labels, synonyms, and previous curations"},{"name":"Individual Controller","description":"NOTE: For IRI parameters, the value must be URL encoded. For example, the IRI http://purl.obolibrary.org/obo/IAO_0000124 should be encoded as http%3A%252F%2Fpurl.obolibrary.org%2Fobo%2FIAO_0000124."},{"name":"V2 Releases","description":"Software release deployed in this backend and its release history. Ontology data updates are independent."},{"name":"V2 Stats Controller","description":"This endpoint provides statistics about the current state of the ontology index. It includes the number of ontologies, classes, individuals and properties indexed, and the last time the index was modified."},{"name":"V2 Individual Controller","description":"This endpoint provides access to individuals information."},{"name":"Property Controller","description":"NOTE: For IRI parameters, the value must be URL encoded. For example, the IRI http://purl.obolibrary.org/obo/DUO_0000041 should be encoded as http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FDUO_0000041."},{"name":"V2 Property Controller","description":"This endpoint provides access to property information."},{"name":"Ontology Individual Controller","description":"NOTE: For IRI parameters, the value must be URL encoded. For example, the IRI http://purl.obolibrary.org/obo/IAO_0000103 should be encoded as http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FIAO_0000103."},{"name":"Ontology Property Controller","description":"NOTE: For IRI parameters, the value must be URL encoded. For example, the IRI http://purl.obolibrary.org/obo/DUO_0000041 should be encoded as http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FDUO_0000041."},{"name":"V2 Ontology Controller","description":"This endpoint provides access to ontology information."},{"name":"Terms Controller","description":"NOTE: For IRI parameters, the value must be URL encoded. For example, the IRI http://purl.obolibrary.org/obo/DUO_0000017 should be encoded as http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FDUO_0000017."},{"name":"V2 Entity Controller","description":"This endpoint provides access to entity information."},{"name":"Ontology Term Controller","description":"NOTE: For IRI parameters, the value must be URL encoded. For example, the IRI http://purl.obolibrary.org/obo/DUO_0000017 should be encoded as http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FDUO_0000017."},{"name":"V2 Class Controller","description":"This endpoint provides access to class information. \n\n**Additionally**, if you want to retrieve detailed information about class synonyms then you need to parse the response using the `synonymProperty` field. \n\nFor each element of the synonymProperty array you can then find the detailed information about each synonym type within the response as each synonym type is a separate object. \n\nFor further details about the meaning of different synonym types please refer to this link: [Synonym Documentation](https://ontology-development-kit.readthedocs.io/en/latest/Synonyms.html). \n\n### Example \n\nFor example, for `Lactose Intolerance` class we have following `synonymProperty`: \n\n```json\n\"synonymProperty\": [ \n  \"http://www.geneontology.org/formats/oboInOwl#hasExactSynonym\", \n  \"http://www.geneontology.org/formats/oboInOwl#hasRelatedSynonym\" \n]\n``` \n\nand then for each of the elements such as ExactSynonym we have following separate object within the same json response: \n\n```json\n\"http://www.geneontology.org/formats/oboInOwl#hasExactSynonym\" : [ {\n    \"type\" : [ \"reification\" ],\n    \"value\" : \"LM - lactose malabsorption\",\n    \"axioms\" : [ {\n      \"http://www.geneontology.org/formats/oboInOwl#hasDbXref\" : \"DOID:10604\"\n    } ]\n  }, {\n    \"type\" : [ \"reification\" ],\n    \"value\" : \"lactose intolerance\",\n    \"axioms\" : [ {\n      \"http://www.w3.org/2000/01/rdf-schema#comment\" : \"preferred label from MONDO\"\n    }, {\n      \"http://www.geneontology.org/formats/oboInOwl#hasDbXref\" : [ \"DOID:10604\", \"MONDO:ambiguous\", \"NCIT:C3154\", \"icd11.foundation:1026224967\" ]\n    } ]\n  }, {\n    \"type\" : [ \"reification\" ],\n    \"value\" : \"lactose intolerance (disease)\",\n    \"axioms\" : [ {\n      \"http://www.geneontology.org/formats/oboInOwl#hasDbXref\" : [ \"MONDO:0009116\", \"https://orcid.org/0000-0002-6601-2165\" ]\n    } ]\n  } ]\n```"}],"paths":{"/api/v2/tag_text":{"get":{"tags":["V2 Text Tagger Controller"],"operationId":"tagTextStatus","parameters":[{"name":"tag_text_status","in":"query","description":"Check whether the text tagger service is available"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}},"post":{"tags":["V2 Text Tagger Controller"],"operationId":"tagText","parameters":[{"name":"ontologyId","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"source","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"delimiters","in":"query","required":false,"schema":{"type":"string"}},{"name":"minLength","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":3}},{"name":"includeSubstrings","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"includeObsoleteEntities","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"tag_text","in":"query","description":"Annotate free text with matching ontology terms"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}}},"/api/v2/ontologies/{onto}/classes/llm_embedding":{"post":{"tags":["V2 LLM Controller"],"operationId":"searchClassesByVectorInOntology","parameters":[{"name":"onto","in":"path","description":"The ontology ID to filter results.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"isDefiningOntology","in":"query","description":"If true, only return classes defined in this ontology. If false (default), include imported classes too.","required":false,"schema":{"type":"boolean","default":false},"example":false},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"number","format":"double"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/classes/llm_embedding":{"post":{"tags":["V2 LLM Controller"],"operationId":"searchClassesByVector","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"ontologyId","in":"query","description":"Optional ontology ID to filter results. If specified only returns classes defined in this ontology (not imported classes).","required":false,"schema":{"type":"string"},"example":"efo"},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"number","format":"double"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/stats":{"get":{"tags":["V2 Stats Controller"],"operationId":"getStatistics","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Statistics"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/V2Statistics"}}}}}}},"/api/v2/releases":{"get":{"tags":["V2 Releases"],"operationId":"getReleases","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonNode"}}}}}}},"/api/v2/properties":{"get":{"tags":["V2 Property Controller"],"operationId":"getProperties","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"definition"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/properties/{property}/llm_similar":{"get":{"tags":["V2 LLM Controller"],"operationId":"getSimilarProperties","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"property","in":"path","description":"The IRI of the property, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000742"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use. Defaults to harrier-oss-v1-27b_pca512.","required":false,"schema":{"type":"string","default":"harrier-oss-v1-27b_pca512"},"example":"harrier-oss-v1-27b_pca512"},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/properties/llm_search":{"get":{"tags":["V2 LLM Controller"],"operationId":"searchPropertiesByText","parameters":[{"name":"q","in":"query","description":"The text query to search for using semantic similarity","required":true,"schema":{"type":"string"},"example":"part of"},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"ontologyId","in":"query","description":"Optional ontology ID to filter results. If specified only returns properties defined in this ontology.","required":false,"schema":{"type":"string"},"example":"efo"},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies":{"get":{"tags":["V2 Ontology Controller"],"operationId":"getOntologies","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"efo"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label, ontologyId and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"ontologyId"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}":{"get":{"tags":["V2 Ontology Controller"],"operationId":"getOntology","parameters":[{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Entity"}}}}}}},"/api/v2/ontologies/{onto}/properties":{"get":{"tags":["V2 Property Controller"],"operationId":"getProperties_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to search properties in.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"definition"},{"name":"search fields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"}},{"name":"boost fields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"}},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/properties/{property}":{"get":{"tags":["V2 Property Controller"],"operationId":"getProperty","parameters":[{"name":"onto","in":"path","description":"Ontology Id to search properties in.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"property","in":"path","description":"The IRI of the property, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000742"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Entity"}}}}}}},"/api/v2/ontologies/{onto}/properties/{property}/children":{"get":{"tags":["V2 Property Controller"],"operationId":"getChildrenByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to search properties in.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"property","in":"path","description":"The IRI of the property, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000824"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/properties/{property}/ancestors":{"get":{"tags":["V2 Property Controller"],"operationId":"getAncestorsByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to search properties in.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"property","in":"path","description":"The IRI of the property, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000742"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/individuals":{"get":{"tags":["V2 Individual Controller"],"operationId":"getIndividuals","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to search individuals in.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"metadata complete"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/individuals/{individual}":{"get":{"tags":["V2 Individual Controller"],"operationId":"getIndividual","parameters":[{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"individual","in":"path","description":"The IRI of the individual, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FIAO_0000002"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Entity"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/V2Entity"}}}}}}},"/api/v2/ontologies/{onto}/individuals/{individual}/hierarchicalChildren":{"get":{"tags":["V2 Individual Controller"],"operationId":"getHierarchicalChildrenByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"coho"},{"name":"individual","in":"path","description":"The IRI of the individual, this value must be double URL encoded","required":true,"schema":{"type":"string"}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/individuals/{individual}/hierarchicalAncestors":{"get":{"tags":["V2 Individual Controller"],"operationId":"getHierarchicalAncestorsByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"coho"},{"name":"individual","in":"path","description":"The IRI of the individual, this value must be double URL encoded","required":true,"schema":{"type":"string"}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/individuals/{individual}/ancestors":{"get":{"tags":["V2 Class Controller"],"operationId":"getIndividualAncestorsByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"afo"},{"name":"individual","in":"path","description":"The IRI of the individual, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fpurl.allotrope.org%2Fontologies%2Fprocess%23AFP_0003781"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/entities":{"get":{"tags":["V2 Entity Controller"],"description":"Search and filter entities within a specific ontology. In addition to the named parameters listed, any indexed field can be used as a filter by passing it as a query parameter. Values are case-insensitive and comma-separated values are treated as OR logic. For example: ?type=class&hierarchicalAncestor=http://purl.obolibrary.org/obo/UBERON_0001062","operationId":"getTerms","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"liver disease"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"facetFields","in":"query","description":"This parameter is a white space separated list of fields to facet data by.","required":false,"schema":{"type":"string"}},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/entities/{entity}":{"get":{"tags":["V2 Entity Controller"],"operationId":"getEntity","parameters":[{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"entity","in":"path","description":"The IRI of the entity, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Entity"}}}}}}},"/api/v2/ontologies/{onto}/entities/{entity}/relatedFrom":{"get":{"tags":["V2 Entity Controller"],"operationId":"getEntityRelatedFrom","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"entity","in":"path","description":"The IRI of the entity, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes":{"get":{"tags":["V2 Class Controller"],"operationId":"getClasses","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"liver disease"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}":{"get":{"tags":["V2 Class Controller"],"operationId":"getClass","parameters":[{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/relatedFrom":{"get":{"tags":["V2 Class Controller"],"operationId":"getClassRelatedFrom","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/individuals":{"get":{"tags":["V2 Individual Controller"],"operationId":"getClassIndividuals","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"}},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/hierarchicalDescendants":{"get":{"tags":["V2 Class Controller"],"operationId":"getHierarchicalDescendantsByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/hierarchicalChildren":{"get":{"tags":["V2 Class Controller"],"operationId":"getHierarchicalChildrenByOntology_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000001"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/hierarchicalAncestors":{"get":{"tags":["V2 Class Controller"],"operationId":"getHierarchicalAncestorsByOntology_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/descendants":{"get":{"tags":["V2 Class Controller"],"operationId":"getDescendantsByOntology","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/children":{"get":{"tags":["V2 Class Controller"],"operationId":"getChildrenByOntology_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_0000001"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"searchQuery","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"liver disease"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/{class}/ancestors":{"get":{"tags":["V2 Class Controller"],"operationId":"getAncestorsByOntology_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"onto","in":"path","description":"Ontology Id to get the information about.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/{onto}/classes/llm_search":{"get":{"tags":["V2 LLM Controller"],"operationId":"searchClassesByTextInOntology","parameters":[{"name":"onto","in":"path","description":"The ontology ID to filter results.","required":true,"schema":{"type":"string"},"example":"efo"},{"name":"q","in":"query","description":"The text query to search for using semantic similarity","required":true,"schema":{"type":"string"},"example":"heart disease"},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"isDefiningOntology","in":"query","description":"If true, only return classes defined in this ontology. If false (default), include imported classes too.","required":false,"schema":{"type":"boolean","default":false},"example":false},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/ontologies/by-tag":{"get":{"tags":["V2 Ontology Controller"],"operationId":"getOntologiesByTag","parameters":[{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/V2Entity"}}}}}}}}},"/api/v2/ontologies/by-domain":{"get":{"tags":["V2 Ontology Controller"],"operationId":"getOntologiesByDomain","parameters":[{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/V2Entity"}}}}}}}}},"/api/v2/llm_models":{"get":{"tags":["V2 LLM Controller"],"operationId":"getLLMModels","parameters":[{"name":"llm_models","in":"query","description":"Returns a list of embedding models, indicating which can be used for embedding (via the embedding service) and which only have pre-computed embeddings stored in the database"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{}}}}}}}}},"/api/v2/individuals":{"get":{"tags":["V2 Individual Controller"],"operationId":"getIndividuals_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"metadata complete"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/individuals/llm_search":{"get":{"tags":["V2 LLM Controller"],"operationId":"searchIndividualsByText","parameters":[{"name":"q","in":"query","description":"The text query to search for using semantic similarity","required":true,"schema":{"type":"string"},"example":"human"},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"ontologyId","in":"query","description":"Optional ontology ID to filter results. If specified only returns individuals defined in this ontology.","required":false,"schema":{"type":"string"},"example":"efo"},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/entities":{"get":{"tags":["V2 Entity Controller"],"description":"Search and filter entities across all ontologies. In addition to the named parameters listed, any indexed field can be used as a filter by passing it as a query parameter. Values are case-insensitive and comma-separated values are treated as OR logic. For example: ?type=class&ontologyId=uberon&hierarchicalAncestor=http://purl.obolibrary.org/obo/UBERON_0001062","operationId":"getEntities","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"liver disease"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"facetFields","in":"query","description":"This parameter is a white space separated list of fields to facet data by.","required":false,"schema":{"type":"string"}},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"excludeOntologyId","in":"query","description":"Exclude entities from specific ontologies. Provide a comma-separated list of ontology IDs.","required":false,"schema":{"type":"string"},"example":"ncit,snomed"},{"name":"includeTotal","in":"query","description":"Whether to calculate the exact total number of matching entities. Set to false for result-only clients such as autocomplete; totalElements then only covers the returned page boundary.","required":false,"schema":{"type":"boolean","default":true}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/entities/llm_search":{"get":{"tags":["V2 LLM Controller"],"operationId":"searchEntitiesByText","parameters":[{"name":"q","in":"query","description":"The text query to search for using semantic similarity","required":true,"schema":{"type":"string"},"example":"heart disease"},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"ontologyId","in":"query","description":"Optional ontology ID to filter results. If specified only returns entities defined in this ontology (not imported).","required":false,"schema":{"type":"string"},"example":"efo"},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/defined-fields":{"get":{"tags":["v-2-defined-fields-controller"],"operationId":"getDefinedFields","responses":{"200":{"description":"OK","content":{"application/hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DefinedFieldDto"}}}}}}}},"/api/v2/curation_sources":{"get":{"tags":["V2 Text Tagger Controller"],"operationId":"getCurationSources","parameters":[{"name":"curation_sources","in":"query","description":"List available curation source names (from SSSOM curated mappings)"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/v2/classes":{"get":{"tags":["V2 Class Controller"],"operationId":"getClasses_1","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"search","in":"query","description":"This parameter specify the search query text.","required":false,"schema":{"type":"string"},"example":"liver disease"},{"name":"searchFields","in":"query","description":"This parameter is a white space separated list of fields to search in. The fields are weighted equally. The fields are defined in the schema. The default fields are label and definition. The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. For example, label^3 synonym^2 description^1 logical_definition^1","required":false,"schema":{"type":"string"},"example":"label^100 description"},{"name":"boostFields","in":"query","description":"This parameter is a white space separated list of fields appended with a caret to boost in search. The default fields are type, is_defining_ontology, label, curie, shortForm and synonym . The fields weights can be boosted by appending a caret ^ and a positive integer to the field name. ","required":false,"schema":{"type":"string"},"example":"label^100 curie^50"},{"name":"exactMatch","in":"query","description":"As the name suggests its a boolean parameter to specify if search should be exact match or not.The default value is false","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeObsoleteEntities","in":"query","description":"A boolean parameter to specify if obsolete entities should be included or not. Default value is false.","required":false,"schema":{"type":"boolean","default":false}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedAndFacetedResponseV2Entity"}}}}}}},"/api/v2/classes/{class}/llm_similarity/{otherclass}":{"get":{"tags":["V2 LLM Controller"],"operationId":"getClassSimilarity","parameters":[{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"otherclass","in":"path","description":"The IRI of the other class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"model","in":"query","description":"The embedding model name to use. Defaults to harrier-oss-v1-27b_pca512.","required":false,"schema":{"type":"string","default":"harrier-oss-v1-27b_pca512"},"example":"harrier-oss-v1-27b_pca512"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/api/v2/classes/{class}/llm_similar":{"get":{"tags":["V2 LLM Controller"],"operationId":"getSimilarClasses","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use. Defaults to harrier-oss-v1-27b_pca512.","required":false,"schema":{"type":"string","default":"harrier-oss-v1-27b_pca512"},"example":"harrier-oss-v1-27b_pca512"},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/v2/classes/{class}/llm_embedding":{"get":{"tags":["V2 LLM Controller"],"operationId":"getClassEmbedding","parameters":[{"name":"class","in":"path","description":"The IRI of the class, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fwww.ebi.ac.uk%2Fefo%2FEFO_1000967"},{"name":"model","in":"query","description":"The embedding model name to use. Defaults to harrier-oss-v1-27b_pca512.","required":false,"schema":{"type":"string","default":"harrier-oss-v1-27b_pca512"},"example":"harrier-oss-v1-27b_pca512"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/api/v2/classes/llm_search":{"get":{"tags":["V2 LLM Controller"],"operationId":"searchClassesByText","parameters":[{"name":"q","in":"query","description":"The text query to search for using semantic similarity","required":true,"schema":{"type":"string"},"example":"heart disease"},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}},{"name":"model","in":"query","description":"The embedding model name to use for vector search","required":true,"schema":{"type":"string"},"example":"llama-embed-nemotron-8b_pca512"},{"name":"ontologyId","in":"query","description":"Optional ontology ID to filter results. If specified only returns classes defined in this ontology (not imported classes).","required":false,"schema":{"type":"string"},"example":"efo"},{"name":"includeCurations","in":"query","description":"If true (default), include curated text-to-term mapping embeddings in the search. If false, only search label embeddings.","required":false,"schema":{"type":"boolean","default":true}},{"name":"resolveReferences","in":"query","description":"Whether to resolve any referenced entities inline in the response JSON. Otherwise linked entities will be available in the linkedEntities map.","required":false,"schema":{"type":"boolean"}},{"name":"manchesterSyntax","in":"query","description":"Whether to convert class expressions to Manchester syntax. If false a JSON representation of the class expressions will be returned.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2PagedResponseV2Entity"}}}}}}},"/api/terms":{"get":{"tags":["Terms Controller"],"operationId":"getTerms_1","parameters":[{"name":"iri","in":"query","description":"The IRI of the term.","required":false,"schema":{"type":"string"},"example":"http://purl.obolibrary.org/obo/DUO_0000017"},{"name":"short_form","in":"query","description":"This refers to the short form of the term.","required":false,"schema":{"type":"string"},"example":"DUO_0000017"},{"name":"obo_id","in":"query","description":"This refers to the OBO ID of the term.","required":false,"schema":{"type":"string"},"example":"DUO:0000017"},{"name":"id","in":"query","description":"This can be any of the above i.e. iri, short_form or obo_id.","required":false,"schema":{"type":"string"}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"404":{"description":"Not Found"},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}}}}}}},"/api/terms/{iri}":{"get":{"tags":["Terms Controller"],"operationId":"getTermsByIri","parameters":[{"name":"iri","in":"path","description":"The IRI of the term, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FDUO_0000017"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"404":{"description":"Not Found"},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}}}}}}},"/api/terms/findByIdAndIsDefiningOntology":{"get":{"tags":["Terms Controller"],"operationId":"getTermsByIdAndIsDefiningOntology","parameters":[{"name":"iri","in":"query","description":"The IRI of the term","required":false,"schema":{"type":"string"},"example":"http://purl.obolibrary.org/obo/DUO_0000017"},{"name":"short_form","in":"query","description":"This refers to the short form of the term.","required":false,"schema":{"type":"string"},"example":"DUO_0000017"},{"name":"obo_id","in":"query","description":"This refers to the OBO ID of the term.","required":false,"schema":{"type":"string"},"example":"DUO:0000017"},{"name":"id","in":"query","description":"This can be any of the above i.e. iri, short_form or obo_id.","required":false,"schema":{"type":"string"}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"404":{"description":"Not Found"},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}}}}}}},"/api/terms/findByIdAndIsDefiningOntology/{iri}":{"get":{"tags":["Terms Controller"],"operationId":"getTermsByIdAndIsDefiningOntology_1","parameters":[{"name":"iri","in":"path","description":"The IRI of the term, this value must be double URL encoded","required":true,"schema":{"type":"string"},"example":"http%3A%2F%2Fpurl.obolibrary.org%2Fobo%2FDUO_0000017"},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"404":{"description":"Not Found"},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}},"application/hal+json":{"schema":{"$ref":"#/components/schemas/PagedModelV1Term"}}}}}}},"/api/suggest":{"get":{"tags":["Suggest Controller"],"operationId":"suggest","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"ontology","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"rows","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"start","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK"}}}},"/api/select":{"get":{"tags":["Select Controller"],"operationId":"select","parameters":[{"name":"q","in":"query","description":"The terms to search. By default the search is performed over term labels, synonyms, descriptions, identifiers and annotation properties.","required":true,"schema":{"type":"string"},"example":"disease or liver+disease"},{"name":"ontology","in":"query","description":"Restrict a search to a set of ontologies e.g. ontology=efo,bfo","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["efo","bfo"]},{"name":"type","in":"query","description":"Restrict a search to an entity type, one of {class,property,individual,ontology}","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["class","property"]},{"name":"slim","in":"query","description":"Restrict a search to an particular set of slims by name","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"fieldList","in":"query","description":"Specifcy the fields to return, the defaults are {iri,label,short_form,obo_id,ontology_name,ontology_prefix,description,type}","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["iri","label","short_form","obo_id","ontology_name"]},{"name":"obsoletes","in":"query","description":"Set to true to include obsoleted terms in the results","required":false,"schema":{"type":"boolean","default":false},"example":false},{"name":"local","in":"query","description":"Set to true to only return terms that are in a defining ontology e.g. Only return matches to gene ontology terms in the gene ontology, and exclude ontologies where those terms are also referenced","required":false,"schema":{"type":"boolean","default":false},"example":false},{"name":"childrenOf","in":"query","description":"You can restrict a search to children of a given term. Supply a list of IRI for the terms that you want to search under","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["http://www.ebi.ac.uk/efo/EFO_0001421","http://www.ebi.ac.uk/efo/EFO_0004228"]},{"name":"allChildrenOf","in":"query","description":"You can restrict a search to all children of a given term. Supply a list of IRI for the terms that you want to search under (subclassOf/is-a plus any hierarchical/transitive properties like 'part of' or 'develops from')","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["http://www.ebi.ac.uk/efo/EFO_0001421","http://www.ebi.ac.uk/efo/EFO_0004228"]},{"name":"rows","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"start","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"lang","in":"query","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"200":{"description":"OK"}}}},"/api/search":{"get":{"tags":["Search Controller"],"operationId":"search","parameters":[{"name":"q","in":"query","description":"The terms to search. By default the search is performed over term labels, synonyms, descriptions, identifiers and annotation properties.","required":true,"schema":{"type":"string"},"example":"disease or liver+disease"},{"name":"ontology","in":"query","description":"Restrict a search to a set of ontologies e.g. ontology=efo,bfo","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["efo","bfo"]},{"name":"type","in":"query","description":"Restrict a search to an entity type, one of {class,property,individual,ontology}","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["class","property"]},{"name":"slim","in":"query","description":"Restrict a search to an particular set of slims by name","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"fieldList","in":"query","description":"Specify the fields to return, the defaults are {iri,label,short_form,obo_id,ontology_name,ontology_prefix,description,type,exact_synonyms,related_synonyms,narrow_synonyms,broad_synonyms}. Additional synonym field available: {synonym} which returns all synonyms in one array","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["iri","label","short_form","obo_id","ontology_name"]},{"name":"queryFields","in":"query","description":"Specify the fields to query, the defaults are {label, synonym, description, short_form, obo_id, annotations, logical_description, iri}","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":["iri","label","short_form","ontology_name"]},{"nam
[...]
